<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>GameRuleOnline</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GameRuleOnline";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameRuleOnline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/GameRule.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/IA.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/GameRuleOnline.html" target="_top">Frames</a></li>
<li><a href="GameRuleOnline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class GameRuleOnline" class="title">Class GameRuleOnline</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../model/GameRule.html" title="class in model">model.GameRule</a></li>
<li>
<ul class="inheritance">
<li>model.GameRuleOnline</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GameRuleOnline</span>
extends <a href="../model/GameRule.html" title="class in model">GameRule</a></pre>
<div class="block">The Class GameRuleOnline.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.GameRuleOnline">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/GameRuleOnline.html#GameRuleOnline(model.PlayerOnline[])">GameRuleOnline</a></strong>(<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>[]&nbsp;playersView)</code>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Piece.html" title="class in model">Piece</a></code></td>
<td class="colLast"><code><strong><a href="../model/GameRuleOnline.html#getLastPieceOnline()">getLastPieceOnline</a></strong>()</code>
<div class="block">Gets the last piece place on the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a></code></td>
<td class="colLast"><code><strong><a href="../model/GameRuleOnline.html#getPlayerById(model.PlayerOnline)">getPlayerById</a></strong>(<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;p)</code>
<div class="block">Gets the player by id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/GameRuleOnline.html#getVersion()">getVersion</a></strong>()</code>
<div class="block">Gets the version.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/GameRuleOnline.html#setLastPieceOnline(model.Piece)">setLastPieceOnline</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;lastPieceOnline)</code>
<div class="block">Sets the last piece place on the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/GameRuleOnline.html#upVersion()">upVersion</a></strong>()</code>
<div class="block">Up version.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_model.GameRule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;model.<a href="../model/GameRule.html" title="class in model">GameRule</a></h3>
<code><a href="../model/GameRule.html#getActualPlayer()">getActualPlayer</a>, <a href="../model/GameRule.html#getMap()">getMap</a>, <a href="../model/GameRule.html#getPasserTour()">getPasserTour</a>, <a href="../model/GameRule.html#getPlayers()">getPlayers</a>, <a href="../model/GameRule.html#getScoreTab()">getScoreTab</a>, <a href="../model/GameRule.html#playersCanPlay()">playersCanPlay</a>, <a href="../model/GameRule.html#save(java.lang.String)">save</a>, <a href="../model/GameRule.html#setActualPlayer(int)">setActualPlayer</a>, <a href="../model/GameRule.html#setRandom()">setRandom</a>, <a href="../model/GameRule.html#testSave(java.lang.String)">testSave</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GameRuleOnline(model.PlayerOnline[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GameRuleOnline</h4>
<pre>public&nbsp;GameRuleOnline(<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>[]&nbsp;playersView)</pre>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>players</code> - all the player of the game</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setLastPieceOnline(model.Piece)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastPieceOnline</h4>
<pre>public&nbsp;void&nbsp;setLastPieceOnline(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;lastPieceOnline)</pre>
<div class="block">Sets the last piece place on the game.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>lastPieceOnline</code> - the last piece placed</dd></dl>
</li>
</ul>
<a name="getPlayerById(model.PlayerOnline)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerById</h4>
<pre>public&nbsp;<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;getPlayerById(<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;p)</pre>
<div class="block">Gets the player by id.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player</dd>
<dt><span class="strong">Returns:</span></dt><dd>the player by id</dd></dl>
</li>
</ul>
<a name="upVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upVersion</h4>
<pre>public&nbsp;void&nbsp;upVersion()</pre>
<div class="block">Up version.</div>
</li>
</ul>
<a name="getLastPieceOnline()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastPieceOnline</h4>
<pre>public&nbsp;<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;getLastPieceOnline()</pre>
<div class="block">Gets the last piece place on the game.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the last piece place on the game.</dd></dl>
</li>
</ul>
<a name="getVersion()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVersion</h4>
<pre>public&nbsp;int&nbsp;getVersion()</pre>
<div class="block">Gets the version.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the version</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameRuleOnline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/GameRule.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/IA.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/GameRuleOnline.html" target="_top">Frames</a></li>
<li><a href="GameRuleOnline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
